using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
  public class CheckBoxHandler
    {
        IFWCheckBoxs controller;
        public CheckBoxHandler(IFWCheckBoxs controller)
        {
            this.controller = controller;
        }
        public CheckBoxHandler Click(string name, int repeatingTime = 0)
        {
            controller.CheckBoxClickBy(name, repeatingTime);
            return new CheckBoxHandler(controller);
        }
        public CheckBoxHandler DoubleClick(string name, int repeatingTime = 0)
        {
            controller.CheckBoxDoubleClickBy(name, repeatingTime);
            return new CheckBoxHandler(controller);
        }

        public CheckBoxHandler ClickByName(string name, int repeatingTime = 0)
        {
            controller.CheckBoxClickByName(name, repeatingTime);
            return new CheckBoxHandler(controller);
        }

        public CheckBoxHandler ClickByAutoId(string name, int repeatingTime = 0)
        {
            controller.CheckBoxClickByAutomationID(name, repeatingTime);
            return new CheckBoxHandler(controller);
        }
        public bool IsChecked(string value, int repeatingTime = 0)
        {
            if (controller.CheckBoxIsChecked(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public bool Exist(string value, int repeatingTime = 0)
        {
            if (controller.CheckBoxExist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }


    }
}
